Public Enum E_Jobs
    E00_ConnectToReader
    E01_SendOpenDoorCommand
    E02_SendControlLedBuzzerCommand
    E98_Disconnect
    E99_Complete

End Enum

Public Class JobFormat
    Private _job As E_Jobs
    Private _parameter As Object

    Property Job() As E_Jobs
        Get
            Return _job
        End Get
        Set(ByVal value As E_Jobs)
            _job = value
        End Set
    End Property

    Property Parameter() As Object
        Get
            Return _parameter
        End Get
        Set(ByVal value As Object)
            _parameter = value
        End Set
    End Property

    Public Sub New(ByVal job As E_Jobs, _
                   ByVal parameter As Object)
        _job = job
        _parameter = parameter
    End Sub

    Public Sub New(ByVal job As E_Jobs)
        _job = job
    End Sub
End Class
